> For the complete documentation index, see [llms.txt](https://docs.roboflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roboflow.com/roboflow/roboflow-jp/deploy/vision-events/delete-events.md).

# イベントを削除

不要になったVision Eventsは削除できます。削除されたイベントは、クエリ結果とダッシュボードから完全に削除されます。

## ダッシュボードから削除

1. Use Caseを開き、削除したいイベントをクリックします
2. イベント詳細のサイドバーで、イベントIDの横にあるゴミ箱アイコンをクリックします
3. ダイアログで削除を確認します

## API経由で削除

送信する `POST` リクエストを `/vision-events/delete` Use Case IDと、削除するイベントIDの配列を指定します。

```bash
curl -X POST "https://api.roboflow.com/vision-events/delete" \
  -H "Content-Type: application/json" \\
  -H "Authorization: Bearer YOUR_API_KEY" \\
  -d '{
    "useCaseId": "assembly-line-qa",
    "eventIds": ["evt-789ghi", "evt-456def"]
  }'
```

**レスポンス:**

```json
{
  "deleted": 2,
  "notFound": []
}
```

`deleted` は、削除されたイベント数です。実際のイベントに一致しなかったイベントIDは、 `notFound` 配列に返されます。

1回のリクエストで最大1,000件のイベントを削除できます。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.roboflow.com/roboflow/roboflow-jp/deploy/vision-events/delete-events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
